package cn.iododer.yudao.module.mqtt.service;

import cn.iocoder.yudao.module.system.api.path.PathApi;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
@Slf4j
public class PathPlanningDistributionFailServiceImpl implements MqttService{

    @Resource
    private PathApi pathApi;


    @Override
    public void analysisMessage(String message) {
        log.info("路径规划失败信息上报 :{}", message);
        pathApi.ppDistributionTaskFail(message);
    }
}
